%define fname entrypoints
%define sum Discover and load entry points from installed packages
%define python3_wheelname %python2_wheelname


Name:		python-%{fname}
Summary:	%{sum}
Version:	0.4
Release:	%mkrel 6
Source0:	https://pypi.io/packages/source/e/%{fname}/%{fname}-%{version}.tar.gz
URL:		https://entrypoints.readthedocs.io/
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:	python3dist(pip)
BuildRequires:	python3dist(flit)
BuildRequires:	python3dist(sphinx)
BuildRequires:  pyproject-rpm-macros


%description
The entrypoints module contains functions to find and load entry points.

%package -n python3-%{fname}
Group:          Development/Python
Summary:	%{sum}
Provides:       python3dist(%{fname}) = %{version}
Provides:       python%{python3_version}dist(%{fname}) = %{version}
%{?python_provide:%python_provide python3-%{fname}}


%description -n python3-%{fname}
Entry points are a way for Python packages to advertise objects with some
common interface. The most common examples are console_scripts entry points,
which define shell commands by identifying a Python function to run.

The entrypoints module contains functions to find and load entry points.

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n %{fname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{fname}

%files -n python3-%{fname} -f %{pyproject_files}
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4-6.mga10
+ Revision: 2242196
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 0.4-5.mga10
+ Revision: 2159717
- rebuild for python3.13
- rebuild for python3.13

* Thu Dec 21 2023 joequant <joequant> 0.4-3.mga10
+ Revision: 2020574
- rebuild with py3.12

* Wed Nov 02 2022 papoteur <papoteur> 0.4-2.mga9
+ Revision: 1901626
- Fix BR. Cleaning. Use pyproject_files

* Sun Apr 17 2022 joequant <joequant> 0.4-1.mga9
+ Revision: 1850921
- update to 0.4

* Tue Mar 29 2022 umeabot <umeabot> 0.3.0-8.mga9
+ Revision: 1832825
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 0.3.0-7.mga9
+ Revision: 1783506
- Rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.3.0-6.mga9
+ Revision: 1708228
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1530970
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 0.3.0-4.mga8
+ Revision: 1438034
- rebuild for python3.8
- drop python2 support

* Wed Mar 20 2019 shlomif <shlomif> 0.3.0-3.mga7
+ Revision: 1379308
- Fix provides for flake8

* Sat Mar 16 2019 shlomif <shlomif> 0.3-2.mga7
+ Revision: 1378071
- Fix contents

* Sat Mar 16 2019 shlomif <shlomif> 0.3-1.mga7
+ Revision: 1378066
- New version 0.3

* Tue Jan 08 2019 shlomif <shlomif> 0.2.3-5.mga7
+ Revision: 1352654
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.2.3-4.mga7
+ Revision: 1288796
- Mageia 7 Mass Rebuild

* Wed Aug 16 2017 philippem <philippem> 0.2.3-3.mga7
+ Revision: 1141178
- add more provides

* Tue Aug 15 2017 philippem <philippem> 0.2.3-2.mga7
+ Revision: 1141036
- force requires and provides

* Tue Aug 15 2017 philippem <philippem> 0.2.3-1.mga7
+ Revision: 1140997
- update to 0.2.3, build wheel

* Sat Aug 05 2017 pterjan <pterjan> 0.2-2.mga7
+ Revision: 1135413
- Rebuild for python 3.6

* Sat Apr 16 2016 philippem <philippem> 0.2-1.mga6
+ Revision: 1003066
- summary-ended-with-dot
- imported package python-entrypoints

